# Generated by Django 4.0.3 on 2023-01-20 03:47

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('shoes_rest', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Shoes',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('manufacturer', models.CharField(max_length=200)),
                ('model_name', models.CharField(max_length=200)),
                ('color', models.CharField(max_length=200)),
                ('image_url', models.URLField(null=True)),
            ],
        ),
        migrations.RenameField(
            model_name='binvo',
            old_name='import_href',
            new_name='href',
        ),
        migrations.DeleteModel(
            name='Shoe',
        ),
        migrations.AddField(
            model_name='shoes',
            name='bin',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='shoes', to='shoes_rest.binvo'),
        ),
    ]
